Bug 733965 - Thumbnailer doesn't produce any output
Summary: Thumbnailer doesn't produce any output
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: raw-thumbnailer
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Victor Bogado
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 00:12 UTC by Eduardo VM
Modified: 2012-08-07 15:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:29:49 UTC


Attachments (Terms of Use)

Description Eduardo VM 2011-08-29 00:12:31 UTC
Description of problem:

I was using Fedora 15 i686, gnome-shell (no rawhide repos) with every update, for about 4 months (may-august 2011). I had installed Ufraw, Gimp, Rawhide, Rawtherapee, Gthumb, Shotwell, Digikam and, of course, raw-thumbnailer (0.99). I followed an Arch tutorial on installing (https://bbs.archlinux.org/viewtopic.php?id=118685) the Nikon thumbnailer, but with no luck: I could only see a thumbnail of those raw images (Pentax) that I already had when I was running LinuxMint (gnome 2.32). I recently changed to 64 bits and the trouble persists. 

Version-Release number of selected component (if applicable):
0.99.1-6.fc15 (x86_64)

How reproducible:
Every time

Steps to Reproduce:
1. Install raw-thumbnailer
[1.bis. Create a /usr/share/thumbnailers/raw.thumbnailer]
2. Restart Nautilus or even the system
3. Open nautilus on a local folder with raw images
4. No thumbnails
  
Actual results:
No thumbnails

Expected results:
A thumbnail

Comment 1 christian.kirbach@googlemail.com 2011-12-30 00:22:04 UTC
It works for me with a slightly modified raw.thumbnailer, please try it:


[Thumbnailer Entry]
TryExec=/usr/bin/raw-thumbnailer
Exec=/usr/bin/raw-thumbnailer -s %s %u %o
MimeType=image/x-3fr;image/x-adobe-dng;image/x-arw;image/x-bay;image/x-canon-cr2;image/x-canon-crw;image/x-cap;image/x-cr2;image/x-crw;image/x-dcr;image/x-dcraw;image/x-dcs;image/x-dng;image/x-drf;image/x-eip;image/x-erf;image/x-fff;image/x-fuji-raf;image/x-iiq;image/x-k25;image/x-kdc;image/x-mef;image/x-minolta-mrw;image/x-mos;image/x-mrw;image/x-nef;image/x-nikon-nef;image/x-nrw;image/x-olympus-orf;image/x-orf;image/x-panasonic-raw;image/x-pef;image/x-pentax-pef;image/x-ptx;image/x-pxn;image/x-r3d;image/x-raf;image/x-raw;image/x-rw2;image/x-rwl;image/x-rwz;image/x-sigma-x3f;image/x-sony-arw;image/x-sony-sr2;image/x-sony-srf;image/x-sr2;image/x-srf;image/x-x3f;

Comment 2 christian.kirbach@googlemail.com 2011-12-30 00:22:44 UTC
restarting nautilus was not required for me, just press F5

Comment 3 Eduardo VM 2011-12-30 01:30:46 UTC
I found the source of the bug:

the name of the program is "gnome-raw-thumbnailer", not "raw-thumbnailer".

Under GS 3.2 it still requires the later instead of the former.

A workaround:

1. Open terminal and write

cd /usr/share/thumbnailers

2. Check if there is already a raw.thumbnailer

ls -la

3. If there is none, create a new one

sudo gedit gnome-raw.thumbnailer

4. Paste

[Thumbnailer Entry]
TryExec=/usr/bin/gnome-raw-thumbnailer
Exec=/usr/bin/gnome-raw-thumbnailer -s %s %u %o
MimeType=image/x-3fr;image/x-adobe-dng;image/x-arw;image/x-bay;image/x-canon-cr2;image/x-canon-crw;image/x-cap;image/x-cr2;image/x-crw;image/x-dcr;image/x-dcraw;image/x-dcs;image/x-dng;image/x-drf;image/x-eip;image/x-erf;image/x-fff;image/x-fuji-raf;image/x-iiq;image/x-k25;image/x-kdc;image/x-mef;image/x-minolta-mrw;image/x-mos;image/x-mrw;image/x-nef;image/x-nikon-nef;image/x-nrw;image/x-olympus-orf;image/x-orf;image/x-panasonic-raw;image/x-pef;image/x-pentax-pef;image/x-ptx;image/x-pxn;image/x-r3d;image/x-raf;image/x-raw;image/x-rw2;image/x-rwl;image/x-rwz;image/x-sigma-x3f;image/x-sony-arw;image/x-sony-sr2;image/x-sony-srf;image/x-sr2;image/x-srf;image/x-x3f;

5. Save

---

Thanks to Christian Kirbach

Comment 4 christian.kirbach@googlemail.com 2011-12-30 11:51:40 UTC
Good to hear that it works. Please close this report then.

see also Bug 770887

Comment 5 Russell Harrison 2012-06-25 16:01:21 UTC
(In reply to comment #1)
> It works for me with a slightly modified raw.thumbnailer, please try it:

This version of the thumbnailer file worked for me on F17.  Could we get this included in the package so thumbnails will be generated once the package is installed?

Comment 6 Fedora End Of Life 2012-08-07 15:29:51 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.